Freeciv-3.1: impr_type Struct Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Data Fields
impr_type Struct Reference

`#include <improvement.h>`

## Data Fields

Impr_type_id | item_number
struct name_translation | name
bool | ruledit_disabled
void * | ruledit_dlg
char | graphic_str [MAX_LEN_NAME]
char | graphic_alt [MAX_LEN_NAME]
struct requirement_vector | reqs
struct requirement_vector | obsolete_by
int | build_cost
int | upkeep
int | sabotage
enum impr_genus_id | genus
bv_impr_flags | flags
struct strvec * | helptext
char | soundtag [MAX_LEN_NAME]
char | soundtag_alt [MAX_LEN_NAME]
bool | allows_units
bool | allows_extras
bool | prevents_disaster
bool | protects_vs_actions
bool | allows_actions

## Detailed Description

Definition at line 68 of file improvement.h.

## Field Documentation

## ◆ allows_actions

bool impr_type::allows_actions

Definition at line 91 of file improvement.h.

Referenced by impr_allows_actions().

## ◆ allows_extras

bool impr_type::allows_extras

Definition at line 88 of file improvement.h.

Referenced by impr_provides_buildable_extras().

## ◆ allows_units

bool impr_type::allows_units

Definition at line 87 of file improvement.h.

Referenced by impr_provides_buildable_units().

## ◆ build_cost

int impr_type::build_cost

Definition at line 77 of file improvement.h.

Referenced by handle_ruleset_building(), impr_base_build_shield_cost(), impr_build_shield_cost(), impr_estimate_build_shield_cost(), impr_sell_gold(), load_ruleset_buildings(), name_and_sort_items(), edit_impr::refresh(), and edit_impr::set_bcost_value().

## ◆ flags

bv_impr_flags impr_type::flags

Definition at line 81 of file improvement.h.

Referenced by edit_impr::closeEvent(), edit_impr::edit_impr(), handle_ruleset_building(), improvement_has_flag(), tab_building::initialize_new_bldg(), and load_ruleset_buildings().

## ◆ genus

enum impr_genus_id impr_type::genus

Definition at line 80 of file improvement.h.

Referenced by edit_impr::genus_menu(), handle_ruleset_building(), impr_contra_genus(), is_buildinggenus_req_active(), is_great_wonder(), is_improvement(), is_small_wonder(), is_special_improvement(), load_ruleset_buildings(), and edit_impr::refresh().

## ◆ graphic_alt

char impr_type::graphic_alt[MAX_LEN_NAME]

Definition at line 74 of file improvement.h.

Referenced by edit_impr::gfx_tag_alt_given(), handle_ruleset_building(), load_ruleset_buildings(), edit_impr::refresh(), and tileset_setup_impr_type().

## ◆ graphic_str

char impr_type::graphic_str[MAX_LEN_NAME]

Definition at line 73 of file improvement.h.

Referenced by edit_impr::gfx_tag_given(), handle_ruleset_building(), load_ruleset_buildings(), edit_impr::refresh(), and tileset_setup_impr_type().

## ◆ helptext

struct strvec* impr_type::helptext

Definition at line 82 of file improvement.h.

Referenced by handle_ruleset_building(), edit_impr::helptext(), helptext_building(), improvement_free(), load_ruleset_buildings(), and production_help().

## ◆ item_number

Impr_type_id impr_type::item_number

Definition at line 69 of file improvement.h.

Referenced by api_edit_perform_action_unit_vs_city_impr(), improvement_number(), improvements_init(), and unit_perform_action().

## ◆ name

struct name_translation impr_type::name

Definition at line 70 of file improvement.h.

Referenced by handle_ruleset_building(), improvement_name_translation(), improvement_rule_name(), tab_building::initialize_new_bldg(), load_building_names(), tab_building::name_given(), and tab_building::update_bldg_info().

## ◆ obsolete_by

struct requirement_vector impr_type::obsolete_by

Definition at line 76 of file improvement.h.

Referenced by adjust_improvement_wants_by_effects(), can_improvement_go_obsolete(), dont_want_tech_obsoleting_impr(), get_tooltip_improvement(), handle_ruleset_building(), help_update_wonder(), helptext_building(), improvement_free(), improvement_obsolete(), improvement_replacement(), improvements_init(), load_ruleset_buildings(), popup_impr_info(), and help_widget::set_topic_building().

## ◆ prevents_disaster

bool impr_type::prevents_disaster

Definition at line 89 of file improvement.h.

Referenced by impr_prevents_disaster().

## ◆ protects_vs_actions

bool impr_type::protects_vs_actions

Definition at line 90 of file improvement.h.

Referenced by impr_protects_vs_actions().

## ◆ reqs

struct requirement_vector impr_type::reqs

Definition at line 75 of file improvement.h.

Referenced by adjust_wants_for_reqs(), can_city_build_improvement_direct(), can_city_build_improvement_later(), can_player_build_improvement_direct(), can_player_build_improvement_later(), dai_can_city_build_improvement_later(), dai_can_player_build_improvement_later(), dai_can_requirement_be_met_in_city(), dai_wants_defender_against(), dai_wants_role_unit(), tab_building::edit_reqs(), handle_ruleset_building(), help_update_improvement(), help_update_wonder(), helptext_building(), impr_prevents_disaster(), impr_provides_buildable_extras(), improvement_free(), improvements_init(), load_ruleset_buildings(), popup_impr_info(), help_widget::set_topic_building(), and worklist_item_postpone_req_vec().

## ◆ ruledit_disabled

bool impr_type::ruledit_disabled

Definition at line 71 of file improvement.h.

Referenced by tab_building::add_now2(), tab_building::delete_now(), improvements_init(), and tab_building::name_given().

## ◆ ruledit_dlg

void* impr_type::ruledit_dlg

Definition at line 72 of file improvement.h.

Referenced by edit_impr::closeEvent(), tab_building::delete_now(), tab_building::edit_now(), and improvements_init().

## ◆ sabotage

int impr_type::sabotage

Definition at line 79 of file improvement.h.

Referenced by diplomat_sabotage(), handle_ruleset_building(), load_ruleset_buildings(), and tactical_req_cb().

## ◆ soundtag

char impr_type::soundtag[MAX_LEN_NAME]

Definition at line 83 of file improvement.h.

Referenced by handle_ruleset_building(), load_ruleset_buildings(), edit_impr::refresh(), and edit_impr::sound_tag_given().

## ◆ soundtag_alt

char impr_type::soundtag_alt[MAX_LEN_NAME]

Definition at line 84 of file improvement.h.

Referenced by handle_ruleset_building(), load_ruleset_buildings(), edit_impr::refresh(), and edit_impr::sound_tag_alt_given().

## ◆ upkeep

int impr_type::upkeep

Definition at line 78 of file improvement.h.

Referenced by city_improvement_upkeep(), get_city_dialog_production_row(), get_tooltip_improvement(), handle_ruleset_building(), help_update_improvement(), load_ruleset_buildings(), popup_impr_info(), edit_impr::refresh(), help_widget::set_topic_building(), and edit_impr::set_upkeep_value().